Ethiack Docs
Organization reports

Get Organization Reports

GET
/v1/organizations/{organization_id}/reports/

Fetches a list of user-accessible reports for the specified organization, with support for filtering and pagination.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

organization_id*integer

The unique identifier of the organization to retrieve reports for

Query Parameters

report_id?integer

Filter reports by their ID

event_slug?string

Filter reports by associated event slug

page?integer

Page number

per_page?integer

Number of reports per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/organizations/0/reports/"
{
  "reports": [
    {
      "id": 0,
      "generation_date": null,
      "start_date": "2019-08-24T14:15:22Z",
      "end_date": "2019-08-24T14:15:22Z",
      "created": "2019-08-24T14:15:22Z",
      "options": {},
      "event_id": 0,
      "error": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}